## org.hibernate.testing
Class DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck

    java.lang.Object
      org.hibernate.testing.DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck

All Implemented Interfaces:
  DialectCheck

Enclosing class:
  DialectChecks

    public static class DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck

extends Object
implements DialectCheck

Constructor Summary
`DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck()`

Method Summary
`boolean` `isMatch(Dialect dialect)` Does the given dialect match the defined check?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck

    public DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck()

Method Detail

### isMatch

    public boolean isMatch(Dialect dialect)

  Description copied from interface: `DialectCheck`
  Does the given dialect match the defined check?

  Specified by:
    `isMatch` in interface `DialectCheck`
  Parameters:
    `dialect` - The dialect against which to check
  Returns:
    `true` if it matches; `false` otherwise.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.